Cancel Pickup
Cancel an active pickup for an international order.
Endpoint
POST /v1/pickup/cancel
Request
Header Parameters
| Parameter | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer YOUR_ACCESS_TOKEN | Bearer token used for authentication. |
Content-Type | string | Yes | application/json | Request body content type. |
Request Body Schema
application/json
order_idrequired
string
Numeric order identifier.
Digits only (0–9).
Example:
3570983Example Request Body
{
"order_id": "3570983"
}
Example request
curl -X POST "${API_URL}/v1/pickup/cancel" \
-H "Authorization: Bearer <ACCESS_TOKEN>" \
-H "Content-Type: application/json" \
-d '{"order_id": "3570983"}'
Responses
200 Success
200 Success
Response schema:
application/jsondata.pickupobjectPickup that was cancelled.
data.pickup
object
Pickup that was cancelled.
pickup_id
string
Pickup reference ID that was cancelled.
Example:
29214E4A37Estatus
string
Pickup status.
data.ordersobjectOrder that was reset.
data.orders
object
Order that was reset.
order_id
string
Order ID.
Example:
3570983status
string
New order status after cancelled.
data.message
string
Informational message.
Response sample
{
"data": {
"pickup": {
"pickup_id": "29214E4A37E",
"status": "CANCELLED"
},
"orders": {
"order_id": "3570983",
"status": "READY_TO_SHIP"
},
"message": "OK"
}
}
400 Bad Request
400 Bad Request
Response schema:
application/jsoncode
string
Error code.
Example:
400000code_reason
string
Error reason.
Example:
BAD_REQUESTmessage
string
Human-readable message.
Example:
Bad Requesterror_tracearrayList of validation errors
error_trace
array
List of validation errors
field
string
Request field that failed.
message
string
Human-readable message.
Response sample
{
"error": {
"code": "400000",
"code_reason": "BAD_REQUEST",
"message": "Bad Request",
"error_trace": [
{ "field": "order_id", "message": "order_id is required and must be numeric." }
]
}
}
401 Unauthorized
401 Unauthorized
Response schema:
application/jsoncode
string
Error code.
Example:
401000code_reason
string
Error reason.
Example:
UNAUTHORIZEDmessage
string
Human-readable message.
Example:
UnauthorizedResponse sample
{
"error": {
"code": "401000",
"code_reason": "UNAUTHORIZED",
"message": "Unauthorized"
}
}
403 Forbidden
403 Forbidden
Response schema:
application/jsonerror
json-string
Access forbidden for this resource.
404 Not Found
404 Not Found
Response schema:
application/jsonerror
json-string
Resource or endpoint not found.
500 Failure
500 Failure
Response schema:
application/jsoncode
string
Error code.
Example:
500999code_reason
string
Machine-readable error reason.
Example:
API_ERRORmessage
string
Human-readable message.
Example:
Api Error, please contact customer serviceResponse sample
{
"error": {
"code": "500999",
"code_reason": "API_ERROR",
"message": "Api Error, please contact customer service"
}
}